ApiCommandStep (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiCommandStep

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCommandStep

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiCommandStep
      extends Object

  Provides detailed information about a step of a command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCommandStep()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommandStep` | `addChildrenItem(ApiCommandStep childrenItem)`
    `ApiCommandStep` | `addClientConfigsItem(ApiCommandStepProcess clientConfigsItem)`
    `ApiCommandStep` | `addClustersItem(ApiClusterRef clustersItem)`
    `ApiCommandStep` | `addCommandsItem(ApiCommand commandsItem)`
    `ApiCommandStep` | `addHostsItem(ApiHostRef hostsItem)`
    `ApiCommandStep` | `addProcessesItem(ApiCommandStepProcess processesItem)`
    `ApiCommandStep` | `addRolesItem(ApiRoleRef rolesItem)`
    `ApiCommandStep` | `addServicesItem(ApiServiceRef servicesItem)`
    `ApiCommandStep` | `children(List<ApiCommandStep> children)`
    `ApiCommandStep` | `clientConfigs(List<ApiCommandStepProcess> clientConfigs)`
    `ApiCommandStep` | `clusters(List<ApiClusterRef> clusters)`
    `ApiCommandStep` | `commands(List<ApiCommand> commands)`
    `ApiCommandStep` | `description(String description)`
    `ApiCommandStep` | `endTime(String endTime)`
    `boolean` | `equals(Object o)`
    `List<ApiCommandStep>` | `getChildren()` List of child command steps.
    `List<ApiCommandStepProcess>` | `getClientConfigs()` List of command step client configs.
    `List<ApiClusterRef>` | `getClusters()` List of clusters associated with command step.
    `List<ApiCommand>` | `getCommands()` List of subcommands.
    `String` | `getDescription()` The command step description.
    `String` | `getEndTime()` The end time, if the command step is finished.
    `List<ApiHostRef>` | `getHosts()` List of hosts associated with command step.
    `List<ApiCommandStepProcess>` | `getProcesses()` List of processes executed by the command step.
    `ApiRemoteCommand` | `getRemoteCommand()` Get remoteCommand
    `String` | `getResultMessage()` If the command step is finished, the result message.
    `List<ApiRoleRef>` | `getRoles()` List of command step roles.
    `List<ApiServiceRef>` | `getServices()` List of services associated with command step.
    `String` | `getStartTime()` The start time.
    `State` | `getState()` Get state
    `int` | `hashCode()`
    `ApiCommandStep` | `hosts(List<ApiHostRef> hosts)`
    `ApiCommandStep` | `ignoreError(Boolean ignoreError)`
    `Boolean` | `isIgnoreError()` Whether the step will continue even upon error.
    `Boolean` | `isParallel()` Whether the children are scattered simultaneously, i.e.
    `ApiCommandStep` | `parallel(Boolean parallel)`
    `ApiCommandStep` | `processes(List<ApiCommandStepProcess> processes)`
    `ApiCommandStep` | `remoteCommand(ApiRemoteCommand remoteCommand)`
    `ApiCommandStep` | `resultMessage(String resultMessage)`
    `ApiCommandStep` | `roles(List<ApiRoleRef> roles)`
    `ApiCommandStep` | `services(List<ApiServiceRef> services)`
    `void` | `setChildren(List<ApiCommandStep> children)`
    `void` | `setClientConfigs(List<ApiCommandStepProcess> clientConfigs)`
    `void` | `setClusters(List<ApiClusterRef> clusters)`
    `void` | `setCommands(List<ApiCommand> commands)`
    `void` | `setDescription(String description)`
    `void` | `setEndTime(String endTime)`
    `void` | `setHosts(List<ApiHostRef> hosts)`
    `void` | `setIgnoreError(Boolean ignoreError)`
    `void` | `setParallel(Boolean parallel)`
    `void` | `setProcesses(List<ApiCommandStepProcess> processes)`
    `void` | `setRemoteCommand(ApiRemoteCommand remoteCommand)`
    `void` | `setResultMessage(String resultMessage)`
    `void` | `setRoles(List<ApiRoleRef> roles)`
    `void` | `setServices(List<ApiServiceRef> services)`
    `void` | `setStartTime(String startTime)`
    `void` | `setState(State state)`
    `ApiCommandStep` | `startTime(String startTime)`
    `ApiCommandStep` | `state(State state)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCommandStep

          public ApiCommandStep()

  - ### Method Detail

    - #### description

          public ApiCommandStep description(String description)

    - #### getDescription

          public String getDescription()

      The command step description.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### startTime

          public ApiCommandStep startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The start time.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiCommandStep endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The end time, if the command step is finished.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### state

          public ApiCommandStep state(State state)

    - #### getState

          public State getState()

      Get state
      Returns:
        state

    - #### setState

          public void setState(State state)

    - #### resultMessage

          public ApiCommandStep resultMessage(String resultMessage)

    - #### getResultMessage

          public String getResultMessage()

      If the command step is finished, the result message.
      Returns:
        resultMessage

    - #### setResultMessage

          public void setResultMessage(String resultMessage)

    - #### ignoreError

          public ApiCommandStep ignoreError(Boolean ignoreError)

    - #### isIgnoreError

          public Boolean isIgnoreError()

      Whether the step will continue even upon error.
      Returns:
        ignoreError

    - #### setIgnoreError

          public void setIgnoreError(Boolean ignoreError)

    - #### parallel

          public ApiCommandStep parallel(Boolean parallel)

    - #### isParallel

          public Boolean isParallel()

      Whether the children are scattered simultaneously, i.e. parallel. If not they would execute one after another, i.e. serially.
      Returns:
        parallel

    - #### setParallel

          public void setParallel(Boolean parallel)

    - #### processes

          public ApiCommandStep processes(List<ApiCommandStepProcess> processes)

    - #### addProcessesItem

          public ApiCommandStep addProcessesItem(ApiCommandStepProcess processesItem)

    - #### getProcesses

          public List<ApiCommandStepProcess> getProcesses()

      List of processes executed by the command step.
      Returns:
        processes

    - #### setProcesses

          public void setProcesses(List<ApiCommandStepProcess> processes)

    - #### clientConfigs

          public ApiCommandStep clientConfigs(List<ApiCommandStepProcess> clientConfigs)

    - #### addClientConfigsItem

          public ApiCommandStep addClientConfigsItem(ApiCommandStepProcess clientConfigsItem)

    - #### getClientConfigs

          public List<ApiCommandStepProcess> getClientConfigs()

      List of command step client configs.
      Returns:
        clientConfigs

    - #### setClientConfigs

          public void setClientConfigs(List<ApiCommandStepProcess> clientConfigs)

    - #### roles

          public ApiCommandStep roles(List<ApiRoleRef> roles)

    - #### addRolesItem

          public ApiCommandStep addRolesItem(ApiRoleRef rolesItem)

    - #### getRoles

          public List<ApiRoleRef> getRoles()

      List of command step roles.
      Returns:
        roles

    - #### setRoles

          public void setRoles(List<ApiRoleRef> roles)

    - #### clusters

          public ApiCommandStep clusters(List<ApiClusterRef> clusters)

    - #### addClustersItem

          public ApiCommandStep addClustersItem(ApiClusterRef clustersItem)

    - #### getClusters

          public List<ApiClusterRef> getClusters()

      List of clusters associated with command step.
      Returns:
        clusters

    - #### setClusters

          public void setClusters(List<ApiClusterRef> clusters)

    - #### hosts

          public ApiCommandStep hosts(List<ApiHostRef> hosts)

    - #### addHostsItem

          public ApiCommandStep addHostsItem(ApiHostRef hostsItem)

    - #### getHosts

          public List<ApiHostRef> getHosts()

      List of hosts associated with command step.
      Returns:
        hosts

    - #### setHosts

          public void setHosts(List<ApiHostRef> hosts)

    - #### services

          public ApiCommandStep services(List<ApiServiceRef> services)

    - #### addServicesItem

          public ApiCommandStep addServicesItem(ApiServiceRef servicesItem)

    - #### getServices

          public List<ApiServiceRef> getServices()

      List of services associated with command step.
      Returns:
        services

    - #### setServices

          public void setServices(List<ApiServiceRef> services)

    - #### children

          public ApiCommandStep children(List<ApiCommandStep> children)

    - #### addChildrenItem

          public ApiCommandStep addChildrenItem(ApiCommandStep childrenItem)

    - #### getChildren

          public List<ApiCommandStep> getChildren()

      List of child command steps.
      Returns:
        children

    - #### setChildren

          public void setChildren(List<ApiCommandStep> children)

    - #### commands

          public ApiCommandStep commands(List<ApiCommand> commands)

    - #### addCommandsItem

          public ApiCommandStep addCommandsItem(ApiCommand commandsItem)

    - #### getCommands

          public List<ApiCommand> getCommands()

      List of subcommands. <p> The list contains only the summary view of the commands.
      Returns:
        commands

    - #### setCommands

          public void setCommands(List<ApiCommand> commands)

    - #### remoteCommand

          public ApiCommandStep remoteCommand(ApiRemoteCommand remoteCommand)

    - #### getRemoteCommand

          public ApiRemoteCommand getRemoteCommand()

      Get remoteCommand
      Returns:
        remoteCommand

    - #### setRemoteCommand

          public void setRemoteCommand(ApiRemoteCommand remoteCommand)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.